curl --request GET \
--url https://openrouter.ai/api/v1/interns \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/interns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/interns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attached_vault_id": null,
"created_at": "2026-09-16T08:30:00.000Z",
"description": "Researches customer questions",
"hostname": "research-assistant.openrouter.ai",
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"instructions": null,
"last_failure_message": null,
"model": "openai/gpt-5.4",
"name": "research-assistant",
"progress": null,
"status": "running",
"updated_at": "2026-09-16T08:45:00.000Z",
"vault_id": "b431c59d-6eed-41ac-bc89-9a89be79a121",
"workspace_id": "89f9f5b2-3f89-4eaf-83ca-5ceae149e8bb"
}
],
"has_more": false
}{
"error": {
"code": "invalid_body",
"message": "Invalid list query"
}
}{
"error": {
"code": 401,
"message": "Invalid or missing API key"
}
}{
"error": {
"code": 403,
"message": "Forbidden"
}
}{
"error": {
"code": "not_found",
"message": "Intern not found"
}
}{
"error": {
"code": 408,
"message": "Request timed out"
}
}{
"error": {
"code": "internal_error",
"message": "The request could not be completed"
}
}List interns
Lists interns visible to the authenticated key, newest first. Filter by workspace and one or more lifecycle statuses. The API key selects the caller, workspace and visible interns. There is no default workspace fallback. Requests on regional hostnames such as eu.openrouter.ai are refused. API key required.
Authorizations
API key as bearer token in Authorization header
Query Parameters
Maximum number of interns to return, from 1 through 500.
1 <= x <= 50050
Comma-separated lifecycle statuses to include.
awaiting_slack_install, queued, provisioning, running, failed, stopped, destroying, destroy_failed ["queued", "running"]
The opaque next_cursor of the previous page. Returns the interns that come after it in the newest-first order. A malformed cursor is a 400.
"MjAyNi0wOS0xNlQwODozMDowMC4wMDAwMDBafDdjOWU2Njc5LTc0MjUtNDBkZS05NDRiLWUwN2ZjMWY5MGFlNw"
Only return interns in this workspace. It must match the API key workspace.
"89f9f5b2-3f89-4eaf-83ca-5ceae149e8bb"
Response
Interns matching the filters.
Interns visible to the authenticated API key.
Show child attributes
Show child attributes
True when more interns match the current filters.
Opaque cursor, present when has_more is true. Pass it as starting_after to fetch the next page.
"MjAyNi0wOS0xNlQwODozMDowMC4wMDAwMDBafDdjOWU2Njc5LTc0MjUtNDBkZS05NDRiLWUwN2ZjMWY5MGFlNw"